Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network41.167.63.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
41.167.63.0
Broadcast address
41.167.63.255
First usable
41.167.63.1
Last usable
41.167.63.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Public public
Old class
A (default /8)
As numbers
Hex 29A73F00 · Integer 698826496 to 698826751
Reverse DNS zone
63.167.41.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101001.10100111.00111111..0000000041.167.63.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network00101001.10100111.00111111..0000000041.167.63.0
Broadcast00101001.10100111.00111111..1111111141.167.63.255
Split into smaller subnets/30

41.167.63.0/24 makes 64 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
141.167.63.0/3041.167.63.1 to 41.167.63.241.167.63.32
241.167.63.4/3041.167.63.5 to 41.167.63.641.167.63.72
341.167.63.8/3041.167.63.9 to 41.167.63.1041.167.63.112
441.167.63.12/3041.167.63.13 to 41.167.63.1441.167.63.152
541.167.63.16/3041.167.63.17 to 41.167.63.1841.167.63.192
641.167.63.20/3041.167.63.21 to 41.167.63.2241.167.63.232
741.167.63.24/3041.167.63.25 to 41.167.63.2641.167.63.272
841.167.63.28/3041.167.63.29 to 41.167.63.3041.167.63.312
941.167.63.32/3041.167.63.33 to 41.167.63.3441.167.63.352
1041.167.63.36/3041.167.63.37 to 41.167.63.3841.167.63.392
1141.167.63.40/3041.167.63.41 to 41.167.63.4241.167.63.432
1241.167.63.44/3041.167.63.45 to 41.167.63.4641.167.63.472
1341.167.63.48/3041.167.63.49 to 41.167.63.5041.167.63.512
1441.167.63.52/3041.167.63.53 to 41.167.63.5441.167.63.552
1541.167.63.56/3041.167.63.57 to 41.167.63.5841.167.63.592
1641.167.63.60/3041.167.63.61 to 41.167.63.6241.167.63.632
1741.167.63.64/3041.167.63.65 to 41.167.63.6641.167.63.672
1841.167.63.68/3041.167.63.69 to 41.167.63.7041.167.63.712
1941.167.63.72/3041.167.63.73 to 41.167.63.7441.167.63.752
2041.167.63.76/3041.167.63.77 to 41.167.63.7841.167.63.792
2141.167.63.80/3041.167.63.81 to 41.167.63.8241.167.63.832
2241.167.63.84/3041.167.63.85 to 41.167.63.8641.167.63.872
2341.167.63.88/3041.167.63.89 to 41.167.63.9041.167.63.912
2441.167.63.92/3041.167.63.93 to 41.167.63.9441.167.63.952
2541.167.63.96/3041.167.63.97 to 41.167.63.9841.167.63.992
2641.167.63.100/3041.167.63.101 to 41.167.63.10241.167.63.1032
2741.167.63.104/3041.167.63.105 to 41.167.63.10641.167.63.1072
2841.167.63.108/3041.167.63.109 to 41.167.63.11041.167.63.1112
2941.167.63.112/3041.167.63.113 to 41.167.63.11441.167.63.1152
3041.167.63.116/3041.167.63.117 to 41.167.63.11841.167.63.1192
3141.167.63.120/3041.167.63.121 to 41.167.63.12241.167.63.1232
3241.167.63.124/3041.167.63.125 to 41.167.63.12641.167.63.1272
3341.167.63.128/3041.167.63.129 to 41.167.63.13041.167.63.1312
3441.167.63.132/3041.167.63.133 to 41.167.63.13441.167.63.1352
3541.167.63.136/3041.167.63.137 to 41.167.63.13841.167.63.1392
3641.167.63.140/3041.167.63.141 to 41.167.63.14241.167.63.1432
3741.167.63.144/3041.167.63.145 to 41.167.63.14641.167.63.1472
3841.167.63.148/3041.167.63.149 to 41.167.63.15041.167.63.1512
3941.167.63.152/3041.167.63.153 to 41.167.63.15441.167.63.1552
4041.167.63.156/3041.167.63.157 to 41.167.63.15841.167.63.1592
4141.167.63.160/3041.167.63.161 to 41.167.63.16241.167.63.1632
4241.167.63.164/3041.167.63.165 to 41.167.63.16641.167.63.1672
4341.167.63.168/3041.167.63.169 to 41.167.63.17041.167.63.1712
4441.167.63.172/3041.167.63.173 to 41.167.63.17441.167.63.1752
4541.167.63.176/3041.167.63.177 to 41.167.63.17841.167.63.1792
4641.167.63.180/3041.167.63.181 to 41.167.63.18241.167.63.1832
4741.167.63.184/3041.167.63.185 to 41.167.63.18641.167.63.1872
4841.167.63.188/3041.167.63.189 to 41.167.63.19041.167.63.1912
4941.167.63.192/3041.167.63.193 to 41.167.63.19441.167.63.1952
5041.167.63.196/3041.167.63.197 to 41.167.63.19841.167.63.1992
5141.167.63.200/3041.167.63.201 to 41.167.63.20241.167.63.2032
5241.167.63.204/3041.167.63.205 to 41.167.63.20641.167.63.2072
5341.167.63.208/3041.167.63.209 to 41.167.63.21041.167.63.2112
5441.167.63.212/3041.167.63.213 to 41.167.63.21441.167.63.2152
5541.167.63.216/3041.167.63.217 to 41.167.63.21841.167.63.2192
5641.167.63.220/3041.167.63.221 to 41.167.63.22241.167.63.2232
5741.167.63.224/3041.167.63.225 to 41.167.63.22641.167.63.2272
5841.167.63.228/3041.167.63.229 to 41.167.63.23041.167.63.2312
5941.167.63.232/3041.167.63.233 to 41.167.63.23441.167.63.2352
6041.167.63.236/3041.167.63.237 to 41.167.63.23841.167.63.2392
6141.167.63.240/3041.167.63.241 to 41.167.63.24241.167.63.2432
6241.167.63.244/3041.167.63.245 to 41.167.63.24641.167.63.2472
6341.167.63.248/3041.167.63.249 to 41.167.63.25041.167.63.2512
6441.167.63.252/3041.167.63.253 to 41.167.63.25441.167.63.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses